// AudioStream.cpp

#define VC_EXTRALEAN
#define STRICT

#include <windows.h>
#include <mmsystem.h>
#include "AudioStream.h"


// AudioStreamServices class implementation
//
////////////////////////////////////////////////////////////

// Destructor
AudioStreamServices::~AudioStreamServices()
{
    if (m_pds)
    {
        // Release DirectSound object
        m_pds->Release ();
    }
}
 
// Initialize
BOOL AudioStreamServices::Initialize()
{
    BOOL fRtn = SUCCESS;    // assume success

    if (m_pds == NULL)
    {
        // Create DirectSound object
        if (DirectSoundCreate (NULL, &m_pds, NULL) == DS_OK)
        {
            if (m_pds->SetCooperativeLevel (m_hwnd, DSSCL_PRIORITY) == DS_OK)
            {

                // Any additional initialization goes here
            }
            else
            {
                // Error
                fRtn = FAILURE;
            }
        }
        else
        {
            // Error
            fRtn = FAILURE;
        }
    }

    return (fRtn);
}

BOOL AudioStreamServices::CreateBuffer()
{

	return SUCCESS;
}

