#ifndef _C64PROC_H
#define _C64PROC_H

#define FLAG_NEGATIVE 128
#define FLAG_OVERFLOW 64
#define FLAG_BREAK    16
#define FLAG_DECIMAL  8
#define FLAG_INT      4
#define FLAG_ZERO     2
#define FLAG_CARRY    1

#define NEG_OFF  127
#define OVER_OFF 191
#define BRK_OFF  239
#define DEC_OFF  247
#define INT_OFF  251
#define ZERO_OFF 253
#define CRRY_OFF 254


extern BYTE a_reg,x_reg,y_reg,flags,stack_ptr;
extern WORD curr_loc;
extern BYTE curr_cycle;
extern BYTE curr_inst;

void CB64_6510();

#endif